const React = require('react');

import { Title } from './Title';
import { Card } from './Card';

function App({ dbdata }) {
  return (
    <html lang="en">
      <head>
        <meta charSet="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="/styles/style.css" />
      </head>
      <title>netmon</title>
      <body className="bg-indigo-50 max-w-sm antialiased tracking-wide leading-relaxed container mx-auto">
        <div className="shadow-2xl my-8 rounded p-2">
          {dbdata.length ? (
            <div>
              <Title dbdata={dbdata} />
              <Card dbdata={dbdata} />
            </div>
          ) : (
            <div className="flex justify-center items-center ">
              no information from the db was loaded, sad
            </div>
          )}
        </div>
      </body>
    </html>
  );
}

module.exports = App;
